package fr.monkhanny.dorfromantik.controller;

import fr.monkhanny.dorfromantik.gui.TutorialPanel;
import fr.monkhanny.dorfromantik.gui.Step;
import fr.monkhanny.dorfromantik.enums.Images;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

public class TutorialController {
    private TutorialPanel tutorialPanel;

    public TutorialController() {
        List<Step> steps = new ArrayList<>();
        steps.add(new Step("Étape n°1", "Explication de la première étape ici.", Images.TUTORIAL_GIF1.getImagePath()));
        steps.add(new Step("Étape n°2", "Explication de la deuxième étape ici.", Images.TUTORIAL_GIF2.getImagePath()));
        steps.add(new Step("Étape n°3", "Explication de la troisième étape ici.", Images.TUTORIAL_GIF3.getImagePath()));
        steps.add(new Step("Étape n°4", "Explication de la quatrième étape ici.", Images.TUTORIAL_GIF4.getImagePath()));

        tutorialPanel = new TutorialPanel(steps);
    }

    public JPanel getTutorialPanel() {
        return tutorialPanel;
    }
}
